(** Symbolic execution *)

(** total number of iterations for all the calls to mk_stable_single *)
val stabilisation_iterations: int ref

(** Check validity of program specifications. *)
val check_props : 
  Symbtree.prover -> Symbtree.abstraction ->
  (string, Symbtree.fun_info) Hashtbl.t ->
  (string * Symbtree.res_init) list -> 
  (string * Symbtree.can_entailment) list -> bool

